package de.intevation.flys.model;

import java.math.BigDecimal;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.GeneratedValue;
import javax.persistence.Column;
import javax.persistence.SequenceGenerator;
import javax.persistence.GenerationType;
import javax.persistence.OneToOne;
import javax.persistence.JoinColumn;

@Entity
@Table(name = "cross_section_points")
public class CrossSectionPoint
implements   Serializable
{
    private Integer      id;
    private CrossSection crossSection;
    private Integer      colPos;
    private BigDecimal   x;
    private BigDecimal   y;

    public CrossSectionPoint() {
    }

    @Id
    @SequenceGenerator(
        name           = "SEQUENCE_CROSS_SECTION_POINTS_ID_SEQ",
        sequenceName   = "CROSS_SECTION_POINTS_ID_SEQ",
        allocationSize = 1)
    @GeneratedValue(
        strategy  = GenerationType.SEQUENCE,
        generator = "SEQUENCE_CROSS_SECTION_POINTS_ID_SEQ")
    @Column(name = "id")
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @OneToOne
    @JoinColumn(name = "cross_section_id")
    public CrossSection getCrossSection() {
        return crossSection;
    }

    public void setCrossSection(CrossSection crossSection) {
        this.crossSection = crossSection;
    }

    @Column(name = "col_pos")
    public Integer getColPos() {
        return colPos;
    }

    public void setColPos(Integer colPos) {
        this.colPos = colPos;
    }

    @Column(name = "x")
    public BigDecimal getX() {
        return x;
    }

    public void setX(BigDecimal x) {
        this.x = x;
    }

    @Column(name = "y")
    public BigDecimal getY() {
        return y;
    }

    public void setY(BigDecimal y) {
        this.y = y;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
